> For the complete documentation index, see [llms.txt](https://docs.complycube.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.complycube.com/documentation/api-reference/other-resources/tokens.md).

# SDK Tokens

**Tokens** enable clients to send personal data to ComplyCube via our SDKs. They are [JWTs](https://jwt.io/).

Each token is confined to one client and **expires after 60 minutes**, so you can safely use them at the front end of your application.

The generated token takes the following form: `{"token": "header.payload.signature"}`.

{% hint style="info" %}
You must generate a new token each time you initialize the ComplyCube SDKs.
{% endhint %}

### The Token object

<table><thead><tr><th width="217">Attribute</th><th width="103.74883411059292">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>token</code></td><td>string</td><td>The client-specific token. It <strong>expires after 60 minutes</strong>.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.complycube.com/documentation/api-reference/other-resources/tokens.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
